class_name StatBlock extends Resource

@export var STR : int = 1
@export var DEX : int = 1
@export var INT : int = 1
@export var CHA : int = 1
@export var FAI : int = 1
@export var LUK : int = 1


static func copy(block : StatBlock) -> StatBlock:
	var b = StatBlock.new()
	b.STR = block.STR
	b.DEX = block.DEX
	b.INT = block.INT
	b.CHA = block.CHA
	b.FAI = block.FAI
	b.LUK = block.LUK
	return b
